Mailinglist Archive: opensuse (3217 mails)

< Previous Next >
Re: [SLE] Peer to Peer file shareing
  • From: Clayton <suselist@xxxxxxxxxxx>
  • Date: Sun, 7 Mar 2004 19:42:12 +0100
  • Message-id: <200403071942.12371.suselist@xxxxxxxxxxx>
> How about the following error:
> configure: error: Library requirements (libgift >= 0.11.1 libgift <
> 0.12.0) not met; consider adjusting the PKG_CONFIG_PATH environment
> variable if your libraries are in a nonstandard prefix so
> pkg-config can find them.
>
> I have combed over the install.sh file and find nothing resembling
> the PKG_CONFIG_PATH ...but, then, I'm not terribly script-savvy,
> either. :-\ <LOL> Can someone please help me with this??

Looks to me like one of the dependancies for compiling Apollon isn't
available. Look at the last 20 or 30 lines of the log file in the
directory you unpacked Apollon in (where the install.sh file is).
The log file will give you a clue as to what's missing on your
system. My guess is that giFT isn't installed on your system, and
that the installer doesn't include the entire giFT package - don't
really know since I installed it using Synaptic/apt4rpm. You may
need to install giFT first.

BTW, you can use simple tools like the whereis command to find
things... for example: whereis libgift on my system gives me:
libgift: /usr/local/lib/libgift.la /usr/local/lib/libgift.so

If you can't find ligift on your computer, try installing giFT
seperately, and then run the install.sh again.

C.


< Previous Next >
Follow Ups